[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: ./configure failed (twinkle)



On Tue, May 22, 2007 at 09:07:16AM -0500, Mumia W.. wrote:
From: "Mumia W.." <paduille.4061.mumia.w+nospam@earthlink.net>
To: Debian User List <debian-user@lists.debian.org>
Subject: Re: ./configure failed  (twinkle)
On 05/22/2007 03:28 AM, Gerard Robin wrote:
On Mon, May 21, 2007 at 08:01:18PM -0500, Mumia W.. wrote:
From: "Mumia W.." <paduille.4061.mumia.w+nospam@earthlink.net>
To: Debian User List <debian-user@lists.debian.org>
Subject: Re: ./configure failed  (twinkle)
X-Spam-Checker-Version: SpamAssassin 3.1.4 (2006-07-26) on On 05/21/2007 02:19 PM, Gerard Robin wrote:
thanks, it's better, but always ./configure failed:
...................
checking boost/regex.h usability... yes
checking boost/regex.h presence... yes
checking for boost/regex.h... yes
checking for main in -lboost_regex... no
checking for main in -lboost_regex-gcc... no
configure: error: libboost_regex library is missing (boost package).

dpkg -l | grep libboost:

ii libboost-date-time1.33.1 1.33.1-10 ii libboost-dev 1.34.0-1
sorry it was
ii libboost-dev (it was installed)
ii  libboost-regex-dev                1.34.0-1
ii  libboost-regex1.33.1              1.33.1-10
ii  libboost-regex1.34.0              1.34.0-1
ii  libboost-thread1.33.1             1.33.1-10
[...]

Install libboost-dev. Perhaps there is a bug in the twinkle source package; I would think that it should depend upon libboost-dev, but it seems not to.

BTW, what distribution are you using?
cat /etc/issue: Debian GNU/Linux lenny/sid (unstable)
From what distribution did you pull the source for twinkle?
I have pulled the source at:
http://www.xs4all.nl/~mfnboer/twinkle/download/
but I missed the option --without-kde (./configure --without-kde)
but with this option the result is the same.

thanks

If you download the source using "apt-get source twinkle" you get the Debianized version of the source which should compile easier on Debian systems.

It's also relatively easy to install using the pristine source, but you have to make some adjustments manually. In this case, I suspect that one of those adjustments would be to specify options to configure such as (for example):

./configure --with-libboost_regex=/path/to/libboost_regex/

If that doesn't work, although it's not for the faint of heart, you could also examine config.log to find out what line of the configure script failed; then you'd look at the configure script to see what that line was doing. Perhaps it uses an exotic way of finding libboost_regex,
or the path is hard-coded (but wrong).

Thanks for your help Mumia, the mailing list of twinkle gave me the
solution: it's libboost-dev 1.34.0-1 and libboost-regex-dev 1.34.0-1
which cause the problem. I downgraded to libboost-dev 1.33.1-10 and
libboost-regex-dev 1.33.1-10 and bingo the Makefile is created with
./configure (and QTDIR=/usr)
Now I have to make a twinkle .deb ...
Thanks again.
--
Gérard



Reply to: